devguard
ControlsId

Update a user-defined control.

PATCH
/controls/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/controls/string/" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "identifier": "string",    "description": null,    "purpose": "string",    "isMandatory": true,    "parentId": "string",    "organizationId": "string"  }'
{  "id": "string",  "identifier": "string",  "name": "string",  "slug": "string",  "type": "CATEGORY",  "purpose": "string",  "description": null,  "isMandatory": true,  "parentId": "string",  "frameworkId": "string",  "isCentralized": true,  "createdAt": "string",  "updatedAt": "string"}

How is this guide?